Name:           dwarfs
Version:        0.6.2 
Release:        1%{?dist}
Summary:        A fast high compression read-only file system

License:        GPLv3
URL:            https://github.com/mhx/%{name}
Source0:        https://github.com/mhx/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires: g++ 
BuildRequires: clang 
BuildRequires: cmake 
BuildRequires: make 
BuildRequires: bison 
BuildRequires: git 
BuildRequires: flex 
BuildRequires: rubygem-ronn-ng 
BuildRequires: fuse3 
BuildRequires: pkg-config 
BuildRequires: binutils-devel 
BuildRequires: libarchive-devel 
BuildRequires: boost 
BuildRequires: boost-devel 
BuildRequires: boost-context 
BuildRequires: boost-filesystem 
BuildRequires: boost-program-options 
BuildRequires: boost-python3 
BuildRequires: boost-regex 
BuildRequires: boost-system 
BuildRequires: boost-thread 
BuildRequires: libevent-devel 
BuildRequires: jemalloc-devel 
BuildRequires: double-conversion-devel 
BuildRequires: lz4-devel 
BuildRequires: xz-devel 
BuildRequires: openssl-devel 
BuildRequires: libunwind-devel 
BuildRequires: libdwarf-devel 
BuildRequires: elfutils-libelf-devel 
BuildRequires: fmt-devel 
BuildRequires: fuse3-devel 
BuildRequires: glog-devel

%description
DwarFS is a read-only file system with a focus on achieving very high compression ratios in particular for very redundant data.

%prep
%autosetup


%build
mkdir build
cd build
cmake -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} .. -DWITH_TESTS=1
make -j$(nproc)
#make test

%install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_sbindir}
mkdir -p %{buildroot}/%{_mandir}
cd build
make DESTDIR=%{buildroot} install 

%files
%license LICENSE
%{_bindir}/dwarfsbench
%{_bindir}/dwarfsck
%{_bindir}/dwarfsextract
%{_bindir}/mkdwarfs
%{_sbindir}/dwarfs
%{_sbindir}/mount.dwarfs
%doc %{_mandir}/man1/dwarfs.1.gz
%doc %{_mandir}/man1/dwarfsck.1.gz
%doc %{_mandir}/man1/dwarfsextract.1.gz
%doc %{_mandir}/man1/mkdwarfs.1.gz
%doc %{_mandir}/man5/dwarfs-format.5.gz



%changelog
* Thu Jul 28 2022 jc141
